uconvert_size(3)

NAME
uconvert_size - Number of bytes needed to store a string after conversion. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int uconvert_size(const char *s, int type, int newtype);

DESCRIPTION
Finds out how many bytes are required to store the specified string `s' after a conversion from `type' to `newtype', including the mandatory zero terminator of the string. You can use U_CURRENT for either `type' or `newtype' as a shortcut to represent whatever text encoding format is currently selected. Example:
   length = uconvert_size(old_string, U_CURRENT, U_UNICODE);
   new_string = malloc(length);
   ustrcpy(new_string, old_string);

RETURN VALUE
Returns the number of bytes required to store the string after conversion.

SEE ALSO
need_uconvert(3), do_uconvert(3)